<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity">

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:textColor="@color/txt_color"
        android:visibility="visible"
        tools:layout_editor_absoluteY="463dp"
        tools:ignore="MissingConstraints" />

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/background"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:context=".MainActivity">

        <RelativeLayout
            android:id="@+id/layout_login"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="visible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:context=".MainActivity">


            <TextView
                android:id="@+id/lbl_main_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:background="@color/title"
                android:padding="5dp"
                android:text="User Login"
                android:textAlignment="center"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textSize="20dp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/lbl_version"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="0dp"
                android:layout_marginBottom="0dp"
                android:layout_below="@id/lbl_main_title"
                android:textColor="@color/gray"
                android:padding="5dp"
                android:textAlignment="textEnd"
                android:textSize="14dp"
                android:textStyle="bold"
                android:textAppearance="?android:attr/textAppearanceLarge" />

            <RelativeLayout
                android:id="@+id/layout_login_container"
                android:layout_width="match_parent"
                android:layout_height="400dp"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:paddingBottom="2dp"
                android:paddingTop="@dimen/activity_vertical_margin"
                tools:context=".MainActivity">


                <TextView
                    android:id="@+id/label1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="30dp"
                    android:text="Please scan your code"
                    android:textColor="@color/txt_color"
                    android:textSize="18dp" />

                <EditText
                    android:id="@+id/txt_user_code"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_below="@+id/label1"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginEnd="16dp"
                    android:background="@color/white"
                    android:drawableEnd="@drawable/ic_close"
                    android:drawablePadding="8dp"
                    android:inputType="number"
                    android:padding="5dp"
                    android:textColor="@color/txt_color" />

                <TextView
                    android:id="@+id/label2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/txt_user_code"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginEnd="16dp"
                    android:padding="0dp"
                    android:text="Shift code"
                    android:textColor="@color/txt_color"
                    android:textSize="18dp" />

                <Spinner
                    android:id="@+id/ddl_shift_code"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/label2"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@android:drawable/btn_dropdown"
                    android:popupBackground="@color/white"
                    android:spinnerMode="dropdown" />

                <TextView
                    android:id="@+id/label3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/ddl_shift_code"
                    android:layout_centerHorizontal="true"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="4dp"
                    android:layout_marginEnd="16dp"
                    android:text="Work shop no"
                    android:textColor="@color/txt_color"
                    android:textSize="18dp" />

                <Spinner
                    android:id="@+id/ddl_work_shop_no"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/label3"
                    android:layout_marginStart="16dp"
                    android:layout_marginEnd="16dp"
                    android:background="@android:drawable/btn_dropdown"
                    android:padding="5dp"
                    android:popupBackground="@color/white"
                    android:spinnerMode="dropdown" />

                <TextView
                    android:id="@+id/lbl_err"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/ddl_work_shop_no"
                    android:layout_centerHorizontal="true"
                    android:padding="0dp"
                    android:text="Incorrect scan information"
                    android:textAlignment="center"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="@color/txt_color_err"
                    android:textSize="16sp"
                    android:visibility="invisible" />

                <ListView
                    android:id="@+id/view_user"
                    android:layout_width="180dp"
                    android:layout_height="80dp"
                    android:layout_marginTop="5dp"
                    android:layout_marginStart="18dp"
                    android:layout_marginEnd="8dp"
                    android:layout_below="@id/lbl_err"
                    android:background="@color/white" />

                <ImageButton
                    android:id="@+id/btn_add"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@id/lbl_err"
                    android:layout_marginTop="20dp"
                    android:layout_toEndOf="@id/view_user"
                    android:backgroundTint="@color/title"
                    app:srcCompat="@drawable/plus" />

            </RelativeLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/layout_login_container"
                android:layout_alignParentBottom="true"
                android:gravity="bottom"
                android:paddingBottom="10dp"
                android:orientation="horizontal"
                android:weightSum="1.0">
                <Button
                    android:id="@+id/btn_login"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:layout_marginStart="15dp"
                    android:layout_marginEnd="15dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Log in"
                    android:padding="4dp"
                    android:textColorHint="@color/txt_color"
                    android:textSize="17sp" />
            </LinearLayout>
        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/layout_menu"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="invisible"
            tools:context=".MainActivity">

            <TextView
                android:id="@+id/layout_menu_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:background="@color/title"
                android:padding="5dp"
                android:text="Main Menu"
                android:textAlignment="center"
                android:textAppearance="?android:attr/textAppearanceLarge"
                android:textSize="30dp"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <LinearLayout
                android:id="@+id/linearLayout"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/layout_menu_title"
                android:orientation="horizontal"
                android:weightSum="1.0"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/layout_menu_title">

                <TextView
                    android:id="@+id/lbl_shift_code"
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".35"
                    android:padding="5dp"
                    android:text="Shift code : "
                    android:textAlignment="textStart"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#000"
                    android:textColorHint="#000"
                    android:textSize="16dp" />

<!--                <TextView-->
<!--                    android:id="@+id/lbl_work_shop_no"-->
<!--                    android:layout_width="0dip"-->
<!--                    android:layout_height="wrap_content"-->
<!--                    android:layout_centerHorizontal="true"-->
<!--                    android:layout_marginTop="0dp"-->
<!--                    android:layout_weight=".65"-->
<!--                    android:padding="5dp"-->
<!--                    android:text="Work shop no :"-->
<!--                    android:textAlignment="textEnd"-->
<!--                    android:textAppearance="?android:attr/textAppearanceLarge"-->
<!--                    android:textColor="#000"-->
<!--                    android:textColorHint="#000"-->
<!--                    android:textSize="16dp" />-->
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/layout_button"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:paddingLeft="@dimen/activity_horizontal_margin"
                android:paddingTop="@dimen/activity_vertical_margin"
                android:paddingRight="@dimen/activity_horizontal_margin"
                android:paddingBottom="@dimen/activity_vertical_margin"
                tools:context=".MainActivity">

                <Button
                    android:id="@+id/btn_completion"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="80dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Completion [P2]"
                    android:padding="5dp"
                    android:textColorHint="#000"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/btn_ng_label"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/btn_completion"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="16dp"
                    android:background="#B3B3B3"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="NG Label [P3]"
                    android:padding="5dp"
                    android:textColorHint="#000"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/btn_compo_detail"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/btn_ng_label"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="16dp"
                    android:background="#B3B3B3"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Component Detail [P4]"
                    android:padding="5dp"
                    android:textColorHint="#000"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/btn_direct_labor"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/btn_compo_detail"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="16dp"
                    android:background="#B3B3B3"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Direct Labor"
                    android:padding="5dp"
                    android:textColorHint="#000"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <Button
                    android:id="@+id/btn_close"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/btn_direct_labor"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="60dp"
                    android:background="#B3B3B3"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="App close [P1]"
                    android:padding="5dp"
                    android:textColorHint="#000"
                    android:textSize="20sp"
                    android:textStyle="normal" />
            </RelativeLayout>
        </RelativeLayout>
    </RelativeLayout>

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="5dp"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />

</androidx.constraintlayout.widget.ConstraintLayout>

